package com.mortals.xhx.module.window.model;

import java.math.BigDecimal;
import java.util.List;
import com.mortals.xhx.module.window.model.WindowWorkmanPerformDetailEntity;
/**
* 窗口人员考核汇总明细查询对象
*
* @author zxfei
* @date 2024-01-17
*/
public class WindowWorkmanPerformDetailQuery extends WindowWorkmanPerformDetailEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 人员考核汇总表主键 */
    private Long performIdStart;

    /** 结束 人员考核汇总表主键 */
    private Long performIdEnd;

    /** 增加 人员考核汇总表主键 */
    private Long performIdIncrement;

    /** 人员考核汇总表主键列表 */
    private List <Long> performIdList;

    /** 人员考核汇总表主键排除列表 */
    private List <Long> performIdNotList;

    /** 开始 工作人员id */
    private Long staffIdStart;

    /** 结束 工作人员id */
    private Long staffIdEnd;

    /** 增加 工作人员id */
    private Long staffIdIncrement;

    /** 工作人员id列表 */
    private List <Long> staffIdList;

    /** 工作人员id排除列表 */
    private List <Long> staffIdNotList;

    /** 工作人员名称 */
    private List<String> staffNameList;

    /** 工作人员名称排除列表 */
    private List <String> staffNameNotList;
    /** 开始 工作纪律得分 */
    private BigDecimal disciplineStart;

    /** 结束 工作纪律得分 */
    private BigDecimal disciplineEnd;

    /** 增加 工作纪律得分 */
    private BigDecimal disciplineIncrement;

    /** 工作纪律得分列表 */
    private List <BigDecimal> disciplineList;

    /** 工作纪律得分排除列表 */
    private List <BigDecimal> disciplineNotList;

    /** 开始 服务规范得分 */
    private BigDecimal specificationStart;

    /** 结束 服务规范得分 */
    private BigDecimal specificationEnd;

    /** 增加 服务规范得分 */
    private BigDecimal specificationIncrement;

    /** 服务规范得分列表 */
    private List <BigDecimal> specificationList;

    /** 服务规范得分排除列表 */
    private List <BigDecimal> specificationNotList;

    /** 开始 综合管理得分 */
    private BigDecimal managementStart;

    /** 结束 综合管理得分 */
    private BigDecimal managementEnd;

    /** 增加 综合管理得分 */
    private BigDecimal managementIncrement;

    /** 综合管理得分列表 */
    private List <BigDecimal> managementList;

    /** 综合管理得分排除列表 */
    private List <BigDecimal> managementNotList;

    /** 开始 群众评议得分 */
    private BigDecimal evaluationStart;

    /** 结束 群众评议得分 */
    private BigDecimal evaluationEnd;

    /** 增加 群众评议得分 */
    private BigDecimal evaluationIncrement;

    /** 群众评议得分列表 */
    private List <BigDecimal> evaluationList;

    /** 群众评议得分排除列表 */
    private List <BigDecimal> evaluationNotList;

    /** 开始 工作效能得分 */
    private BigDecimal efficiencyStart;

    /** 结束 工作效能得分 */
    private BigDecimal efficiencyEnd;

    /** 增加 工作效能得分 */
    private BigDecimal efficiencyIncrement;

    /** 工作效能得分列表 */
    private List <BigDecimal> efficiencyList;

    /** 工作效能得分排除列表 */
    private List <BigDecimal> efficiencyNotList;

    /** 开始 加分 */
    private BigDecimal bonusScoreStart;

    /** 结束 加分 */
    private BigDecimal bonusScoreEnd;

    /** 增加 加分 */
    private BigDecimal bonusScoreIncrement;

    /** 加分列表 */
    private List <BigDecimal> bonusScoreList;

    /** 加分排除列表 */
    private List <BigDecimal> bonusScoreNotList;

    /** 开始 合计得分 */
    private BigDecimal sumScoreStart;

    /** 结束 合计得分 */
    private BigDecimal sumScoreEnd;

    /** 增加 合计得分 */
    private BigDecimal sumScoreIncrement;

    /** 合计得分列表 */
    private List <BigDecimal> sumScoreList;

    /** 合计得分排除列表 */
    private List <BigDecimal> sumScoreNotList;

    /** 开始 考核等级1好2较好3一般4较差 */
    private Integer examineLevelStart;

    /** 结束 考核等级1好2较好3一般4较差 */
    private Integer examineLevelEnd;

    /** 增加 考核等级1好2较好3一般4较差 */
    private Integer examineLevelIncrement;

    /** 考核等级1好2较好3一般4较差列表 */
    private List <Integer> examineLevelList;

    /** 考核等级1好2较好3一般4较差排除列表 */
    private List <Integer> examineLevelNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<WindowWorkmanPerformDetailQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<WindowWorkmanPerformDetailQuery> andConditionList;

    public WindowWorkmanPerformDetailQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 人员考核汇总表主键
    * @return performIdStart
    */
    public Long getPerformIdStart(){
        return this.performIdStart;
    }

    /**
    * 设置 开始 人员考核汇总表主键
    * @param performIdStart
    */
    public void setPerformIdStart(Long performIdStart){
        this.performIdStart = performIdStart;
    }

    /**
    * 获取 结束 人员考核汇总表主键
    * @return $performIdEnd
    */
    public Long getPerformIdEnd(){
        return this.performIdEnd;
    }

    /**
    * 设置 结束 人员考核汇总表主键
    * @param performIdEnd
    */
    public void setPerformIdEnd(Long performIdEnd){
        this.performIdEnd = performIdEnd;
    }

    /**
    * 获取 增加 人员考核汇总表主键
    * @return performIdIncrement
    */
    public Long getPerformIdIncrement(){
        return this.performIdIncrement;
    }

    /**
    * 设置 增加 人员考核汇总表主键
    * @param performIdIncrement
    */
    public void setPerformIdIncrement(Long performIdIncrement){
        this.performIdIncrement = performIdIncrement;
    }

    /**
    * 获取 人员考核汇总表主键
    * @return performIdList
    */
    public List<Long> getPerformIdList(){
        return this.performIdList;
    }

    /**
    * 设置 人员考核汇总表主键
    * @param performIdList
    */
    public void setPerformIdList(List<Long> performIdList){
        this.performIdList = performIdList;
    }

    /**
    * 获取 人员考核汇总表主键
    * @return performIdNotList
    */
    public List<Long> getPerformIdNotList(){
        return this.performIdNotList;
    }

    /**
    * 设置 人员考核汇总表主键
    * @param performIdNotList
    */
    public void setPerformIdNotList(List<Long> performIdNotList){
        this.performIdNotList = performIdNotList;
    }


    /**
    * 获取 开始 工作人员id
    * @return staffIdStart
    */
    public Long getStaffIdStart(){
        return this.staffIdStart;
    }

    /**
    * 设置 开始 工作人员id
    * @param staffIdStart
    */
    public void setStaffIdStart(Long staffIdStart){
        this.staffIdStart = staffIdStart;
    }

    /**
    * 获取 结束 工作人员id
    * @return $staffIdEnd
    */
    public Long getStaffIdEnd(){
        return this.staffIdEnd;
    }

    /**
    * 设置 结束 工作人员id
    * @param staffIdEnd
    */
    public void setStaffIdEnd(Long staffIdEnd){
        this.staffIdEnd = staffIdEnd;
    }

    /**
    * 获取 增加 工作人员id
    * @return staffIdIncrement
    */
    public Long getStaffIdIncrement(){
        return this.staffIdIncrement;
    }

    /**
    * 设置 增加 工作人员id
    * @param staffIdIncrement
    */
    public void setStaffIdIncrement(Long staffIdIncrement){
        this.staffIdIncrement = staffIdIncrement;
    }

    /**
    * 获取 工作人员id
    * @return staffIdList
    */
    public List<Long> getStaffIdList(){
        return this.staffIdList;
    }

    /**
    * 设置 工作人员id
    * @param staffIdList
    */
    public void setStaffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
    }

    /**
    * 获取 工作人员id
    * @return staffIdNotList
    */
    public List<Long> getStaffIdNotList(){
        return this.staffIdNotList;
    }

    /**
    * 设置 工作人员id
    * @param staffIdNotList
    */
    public void setStaffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
    }


    /**
    * 获取 工作人员名称
    * @return staffNameList
    */
    public List<String> getStaffNameList(){
        return this.staffNameList;
    }

    /**
    * 设置 工作人员名称
    * @param staffNameList
    */
    public void setStaffNameList(List<String> staffNameList){
        this.staffNameList = staffNameList;
    }

    /**
    * 获取 工作人员名称
    * @return staffNameNotList
    */
    public List<String> getStaffNameNotList(){
        return this.staffNameNotList;
    }

    /**
    * 设置 工作人员名称
    * @param staffNameNotList
    */
    public void setStaffNameNotList(List<String> staffNameNotList){
        this.staffNameNotList = staffNameNotList;
    }

    /**
    * 获取 开始 工作纪律得分
    * @return disciplineStart
    */
    public BigDecimal getDisciplineStart(){
        return this.disciplineStart;
    }

    /**
    * 设置 开始 工作纪律得分
    * @param disciplineStart
    */
    public void setDisciplineStart(BigDecimal disciplineStart){
        this.disciplineStart = disciplineStart;
    }

    /**
    * 获取 结束 工作纪律得分
    * @return $disciplineEnd
    */
    public BigDecimal getDisciplineEnd(){
        return this.disciplineEnd;
    }

    /**
    * 设置 结束 工作纪律得分
    * @param disciplineEnd
    */
    public void setDisciplineEnd(BigDecimal disciplineEnd){
        this.disciplineEnd = disciplineEnd;
    }

    /**
    * 获取 增加 工作纪律得分
    * @return disciplineIncrement
    */
    public BigDecimal getDisciplineIncrement(){
        return this.disciplineIncrement;
    }

    /**
    * 设置 增加 工作纪律得分
    * @param disciplineIncrement
    */
    public void setDisciplineIncrement(BigDecimal disciplineIncrement){
        this.disciplineIncrement = disciplineIncrement;
    }

    /**
    * 获取 工作纪律得分
    * @return disciplineList
    */
    public List<BigDecimal> getDisciplineList(){
        return this.disciplineList;
    }

    /**
    * 设置 工作纪律得分
    * @param disciplineList
    */
    public void setDisciplineList(List<BigDecimal> disciplineList){
        this.disciplineList = disciplineList;
    }

    /**
    * 获取 工作纪律得分
    * @return disciplineNotList
    */
    public List<BigDecimal> getDisciplineNotList(){
        return this.disciplineNotList;
    }

    /**
    * 设置 工作纪律得分
    * @param disciplineNotList
    */
    public void setDisciplineNotList(List<BigDecimal> disciplineNotList){
        this.disciplineNotList = disciplineNotList;
    }


    /**
    * 获取 开始 服务规范得分
    * @return specificationStart
    */
    public BigDecimal getSpecificationStart(){
        return this.specificationStart;
    }

    /**
    * 设置 开始 服务规范得分
    * @param specificationStart
    */
    public void setSpecificationStart(BigDecimal specificationStart){
        this.specificationStart = specificationStart;
    }

    /**
    * 获取 结束 服务规范得分
    * @return $specificationEnd
    */
    public BigDecimal getSpecificationEnd(){
        return this.specificationEnd;
    }

    /**
    * 设置 结束 服务规范得分
    * @param specificationEnd
    */
    public void setSpecificationEnd(BigDecimal specificationEnd){
        this.specificationEnd = specificationEnd;
    }

    /**
    * 获取 增加 服务规范得分
    * @return specificationIncrement
    */
    public BigDecimal getSpecificationIncrement(){
        return this.specificationIncrement;
    }

    /**
    * 设置 增加 服务规范得分
    * @param specificationIncrement
    */
    public void setSpecificationIncrement(BigDecimal specificationIncrement){
        this.specificationIncrement = specificationIncrement;
    }

    /**
    * 获取 服务规范得分
    * @return specificationList
    */
    public List<BigDecimal> getSpecificationList(){
        return this.specificationList;
    }

    /**
    * 设置 服务规范得分
    * @param specificationList
    */
    public void setSpecificationList(List<BigDecimal> specificationList){
        this.specificationList = specificationList;
    }

    /**
    * 获取 服务规范得分
    * @return specificationNotList
    */
    public List<BigDecimal> getSpecificationNotList(){
        return this.specificationNotList;
    }

    /**
    * 设置 服务规范得分
    * @param specificationNotList
    */
    public void setSpecificationNotList(List<BigDecimal> specificationNotList){
        this.specificationNotList = specificationNotList;
    }


    /**
    * 获取 开始 综合管理得分
    * @return managementStart
    */
    public BigDecimal getManagementStart(){
        return this.managementStart;
    }

    /**
    * 设置 开始 综合管理得分
    * @param managementStart
    */
    public void setManagementStart(BigDecimal managementStart){
        this.managementStart = managementStart;
    }

    /**
    * 获取 结束 综合管理得分
    * @return $managementEnd
    */
    public BigDecimal getManagementEnd(){
        return this.managementEnd;
    }

    /**
    * 设置 结束 综合管理得分
    * @param managementEnd
    */
    public void setManagementEnd(BigDecimal managementEnd){
        this.managementEnd = managementEnd;
    }

    /**
    * 获取 增加 综合管理得分
    * @return managementIncrement
    */
    public BigDecimal getManagementIncrement(){
        return this.managementIncrement;
    }

    /**
    * 设置 增加 综合管理得分
    * @param managementIncrement
    */
    public void setManagementIncrement(BigDecimal managementIncrement){
        this.managementIncrement = managementIncrement;
    }

    /**
    * 获取 综合管理得分
    * @return managementList
    */
    public List<BigDecimal> getManagementList(){
        return this.managementList;
    }

    /**
    * 设置 综合管理得分
    * @param managementList
    */
    public void setManagementList(List<BigDecimal> managementList){
        this.managementList = managementList;
    }

    /**
    * 获取 综合管理得分
    * @return managementNotList
    */
    public List<BigDecimal> getManagementNotList(){
        return this.managementNotList;
    }

    /**
    * 设置 综合管理得分
    * @param managementNotList
    */
    public void setManagementNotList(List<BigDecimal> managementNotList){
        this.managementNotList = managementNotList;
    }


    /**
    * 获取 开始 群众评议得分
    * @return evaluationStart
    */
    public BigDecimal getEvaluationStart(){
        return this.evaluationStart;
    }

    /**
    * 设置 开始 群众评议得分
    * @param evaluationStart
    */
    public void setEvaluationStart(BigDecimal evaluationStart){
        this.evaluationStart = evaluationStart;
    }

    /**
    * 获取 结束 群众评议得分
    * @return $evaluationEnd
    */
    public BigDecimal getEvaluationEnd(){
        return this.evaluationEnd;
    }

    /**
    * 设置 结束 群众评议得分
    * @param evaluationEnd
    */
    public void setEvaluationEnd(BigDecimal evaluationEnd){
        this.evaluationEnd = evaluationEnd;
    }

    /**
    * 获取 增加 群众评议得分
    * @return evaluationIncrement
    */
    public BigDecimal getEvaluationIncrement(){
        return this.evaluationIncrement;
    }

    /**
    * 设置 增加 群众评议得分
    * @param evaluationIncrement
    */
    public void setEvaluationIncrement(BigDecimal evaluationIncrement){
        this.evaluationIncrement = evaluationIncrement;
    }

    /**
    * 获取 群众评议得分
    * @return evaluationList
    */
    public List<BigDecimal> getEvaluationList(){
        return this.evaluationList;
    }

    /**
    * 设置 群众评议得分
    * @param evaluationList
    */
    public void setEvaluationList(List<BigDecimal> evaluationList){
        this.evaluationList = evaluationList;
    }

    /**
    * 获取 群众评议得分
    * @return evaluationNotList
    */
    public List<BigDecimal> getEvaluationNotList(){
        return this.evaluationNotList;
    }

    /**
    * 设置 群众评议得分
    * @param evaluationNotList
    */
    public void setEvaluationNotList(List<BigDecimal> evaluationNotList){
        this.evaluationNotList = evaluationNotList;
    }


    /**
    * 获取 开始 工作效能得分
    * @return efficiencyStart
    */
    public BigDecimal getEfficiencyStart(){
        return this.efficiencyStart;
    }

    /**
    * 设置 开始 工作效能得分
    * @param efficiencyStart
    */
    public void setEfficiencyStart(BigDecimal efficiencyStart){
        this.efficiencyStart = efficiencyStart;
    }

    /**
    * 获取 结束 工作效能得分
    * @return $efficiencyEnd
    */
    public BigDecimal getEfficiencyEnd(){
        return this.efficiencyEnd;
    }

    /**
    * 设置 结束 工作效能得分
    * @param efficiencyEnd
    */
    public void setEfficiencyEnd(BigDecimal efficiencyEnd){
        this.efficiencyEnd = efficiencyEnd;
    }

    /**
    * 获取 增加 工作效能得分
    * @return efficiencyIncrement
    */
    public BigDecimal getEfficiencyIncrement(){
        return this.efficiencyIncrement;
    }

    /**
    * 设置 增加 工作效能得分
    * @param efficiencyIncrement
    */
    public void setEfficiencyIncrement(BigDecimal efficiencyIncrement){
        this.efficiencyIncrement = efficiencyIncrement;
    }

    /**
    * 获取 工作效能得分
    * @return efficiencyList
    */
    public List<BigDecimal> getEfficiencyList(){
        return this.efficiencyList;
    }

    /**
    * 设置 工作效能得分
    * @param efficiencyList
    */
    public void setEfficiencyList(List<BigDecimal> efficiencyList){
        this.efficiencyList = efficiencyList;
    }

    /**
    * 获取 工作效能得分
    * @return efficiencyNotList
    */
    public List<BigDecimal> getEfficiencyNotList(){
        return this.efficiencyNotList;
    }

    /**
    * 设置 工作效能得分
    * @param efficiencyNotList
    */
    public void setEfficiencyNotList(List<BigDecimal> efficiencyNotList){
        this.efficiencyNotList = efficiencyNotList;
    }


    /**
    * 获取 开始 加分
    * @return bonusScoreStart
    */
    public BigDecimal getBonusScoreStart(){
        return this.bonusScoreStart;
    }

    /**
    * 设置 开始 加分
    * @param bonusScoreStart
    */
    public void setBonusScoreStart(BigDecimal bonusScoreStart){
        this.bonusScoreStart = bonusScoreStart;
    }

    /**
    * 获取 结束 加分
    * @return $bonusScoreEnd
    */
    public BigDecimal getBonusScoreEnd(){
        return this.bonusScoreEnd;
    }

    /**
    * 设置 结束 加分
    * @param bonusScoreEnd
    */
    public void setBonusScoreEnd(BigDecimal bonusScoreEnd){
        this.bonusScoreEnd = bonusScoreEnd;
    }

    /**
    * 获取 增加 加分
    * @return bonusScoreIncrement
    */
    public BigDecimal getBonusScoreIncrement(){
        return this.bonusScoreIncrement;
    }

    /**
    * 设置 增加 加分
    * @param bonusScoreIncrement
    */
    public void setBonusScoreIncrement(BigDecimal bonusScoreIncrement){
        this.bonusScoreIncrement = bonusScoreIncrement;
    }

    /**
    * 获取 加分
    * @return bonusScoreList
    */
    public List<BigDecimal> getBonusScoreList(){
        return this.bonusScoreList;
    }

    /**
    * 设置 加分
    * @param bonusScoreList
    */
    public void setBonusScoreList(List<BigDecimal> bonusScoreList){
        this.bonusScoreList = bonusScoreList;
    }

    /**
    * 获取 加分
    * @return bonusScoreNotList
    */
    public List<BigDecimal> getBonusScoreNotList(){
        return this.bonusScoreNotList;
    }

    /**
    * 设置 加分
    * @param bonusScoreNotList
    */
    public void setBonusScoreNotList(List<BigDecimal> bonusScoreNotList){
        this.bonusScoreNotList = bonusScoreNotList;
    }


    /**
    * 获取 开始 合计得分
    * @return sumScoreStart
    */
    public BigDecimal getSumScoreStart(){
        return this.sumScoreStart;
    }

    /**
    * 设置 开始 合计得分
    * @param sumScoreStart
    */
    public void setSumScoreStart(BigDecimal sumScoreStart){
        this.sumScoreStart = sumScoreStart;
    }

    /**
    * 获取 结束 合计得分
    * @return $sumScoreEnd
    */
    public BigDecimal getSumScoreEnd(){
        return this.sumScoreEnd;
    }

    /**
    * 设置 结束 合计得分
    * @param sumScoreEnd
    */
    public void setSumScoreEnd(BigDecimal sumScoreEnd){
        this.sumScoreEnd = sumScoreEnd;
    }

    /**
    * 获取 增加 合计得分
    * @return sumScoreIncrement
    */
    public BigDecimal getSumScoreIncrement(){
        return this.sumScoreIncrement;
    }

    /**
    * 设置 增加 合计得分
    * @param sumScoreIncrement
    */
    public void setSumScoreIncrement(BigDecimal sumScoreIncrement){
        this.sumScoreIncrement = sumScoreIncrement;
    }

    /**
    * 获取 合计得分
    * @return sumScoreList
    */
    public List<BigDecimal> getSumScoreList(){
        return this.sumScoreList;
    }

    /**
    * 设置 合计得分
    * @param sumScoreList
    */
    public void setSumScoreList(List<BigDecimal> sumScoreList){
        this.sumScoreList = sumScoreList;
    }

    /**
    * 获取 合计得分
    * @return sumScoreNotList
    */
    public List<BigDecimal> getSumScoreNotList(){
        return this.sumScoreNotList;
    }

    /**
    * 设置 合计得分
    * @param sumScoreNotList
    */
    public void setSumScoreNotList(List<BigDecimal> sumScoreNotList){
        this.sumScoreNotList = sumScoreNotList;
    }


    /**
    * 获取 开始 考核等级1好2较好3一般4较差
    * @return examineLevelStart
    */
    public Integer getExamineLevelStart(){
        return this.examineLevelStart;
    }

    /**
    * 设置 开始 考核等级1好2较好3一般4较差
    * @param examineLevelStart
    */
    public void setExamineLevelStart(Integer examineLevelStart){
        this.examineLevelStart = examineLevelStart;
    }

    /**
    * 获取 结束 考核等级1好2较好3一般4较差
    * @return $examineLevelEnd
    */
    public Integer getExamineLevelEnd(){
        return this.examineLevelEnd;
    }

    /**
    * 设置 结束 考核等级1好2较好3一般4较差
    * @param examineLevelEnd
    */
    public void setExamineLevelEnd(Integer examineLevelEnd){
        this.examineLevelEnd = examineLevelEnd;
    }

    /**
    * 获取 增加 考核等级1好2较好3一般4较差
    * @return examineLevelIncrement
    */
    public Integer getExamineLevelIncrement(){
        return this.examineLevelIncrement;
    }

    /**
    * 设置 增加 考核等级1好2较好3一般4较差
    * @param examineLevelIncrement
    */
    public void setExamineLevelIncrement(Integer examineLevelIncrement){
        this.examineLevelIncrement = examineLevelIncrement;
    }

    /**
    * 获取 考核等级1好2较好3一般4较差
    * @return examineLevelList
    */
    public List<Integer> getExamineLevelList(){
        return this.examineLevelList;
    }

    /**
    * 设置 考核等级1好2较好3一般4较差
    * @param examineLevelList
    */
    public void setExamineLevelList(List<Integer> examineLevelList){
        this.examineLevelList = examineLevelList;
    }

    /**
    * 获取 考核等级1好2较好3一般4较差
    * @return examineLevelNotList
    */
    public List<Integer> getExamineLevelNotList(){
        return this.examineLevelNotList;
    }

    /**
    * 设置 考核等级1好2较好3一般4较差
    * @param examineLevelNotList
    */
    public void setExamineLevelNotList(List<Integer> examineLevelNotList){
        this.examineLevelNotList = examineLevelNotList;
    }


    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public WindowWorkmanPerformDetailQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public WindowWorkmanPerformDetailQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public WindowWorkmanPerformDetailQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public WindowWorkmanPerformDetailQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public WindowWorkmanPerformDetailQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public WindowWorkmanPerformDetailQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  人员考核汇总表主键
    * @param performId
    */
    public WindowWorkmanPerformDetailQuery performId(Long performId){
	    setPerformId(performId);
		return this;
    }
	
	 /**
    * 设置 开始 人员考核汇总表主键
    * @param performIdStart
    */
    public WindowWorkmanPerformDetailQuery performIdStart(Long performIdStart){
		this.performIdStart = performIdStart;
		return this;
    }

    /**
    * 设置 结束 人员考核汇总表主键
    * @param performIdEnd
    */
    public WindowWorkmanPerformDetailQuery performIdEnd(Long performIdEnd){
		this.performIdEnd = performIdEnd;
		return this;
    }

    /**
    * 设置 增加 人员考核汇总表主键
    * @param performIdIncrement
    */
    public WindowWorkmanPerformDetailQuery performIdIncrement(Long performIdIncrement){
		this.performIdIncrement = performIdIncrement;
		return this;
    }

    /**
    * 设置 人员考核汇总表主键
    * @param performIdList
    */
    public WindowWorkmanPerformDetailQuery performIdList(List<Long> performIdList){
        this.performIdList = performIdList;
		return this;
        }

        /**
        * 设置 人员考核汇总表主键
        * @param performIdNotList
        */
        public WindowWorkmanPerformDetailQuery performIdNotList(List<Long> performIdNotList){
        this.performIdNotList = performIdNotList;
        return this;
        }

    /**
    * 设置  工作人员id
    * @param staffId
    */
    public WindowWorkmanPerformDetailQuery staffId(Long staffId){
	    setStaffId(staffId);
		return this;
    }
	
	 /**
    * 设置 开始 工作人员id
    * @param staffIdStart
    */
    public WindowWorkmanPerformDetailQuery staffIdStart(Long staffIdStart){
		this.staffIdStart = staffIdStart;
		return this;
    }

    /**
    * 设置 结束 工作人员id
    * @param staffIdEnd
    */
    public WindowWorkmanPerformDetailQuery staffIdEnd(Long staffIdEnd){
		this.staffIdEnd = staffIdEnd;
		return this;
    }

    /**
    * 设置 增加 工作人员id
    * @param staffIdIncrement
    */
    public WindowWorkmanPerformDetailQuery staffIdIncrement(Long staffIdIncrement){
		this.staffIdIncrement = staffIdIncrement;
		return this;
    }

    /**
    * 设置 工作人员id
    * @param staffIdList
    */
    public WindowWorkmanPerformDetailQuery staffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
		return this;
        }

        /**
        * 设置 工作人员id
        * @param staffIdNotList
        */
        public WindowWorkmanPerformDetailQuery staffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
        return this;
        }


	/**
    * 设置 工作人员名称
    * @param staffName
    */
    public WindowWorkmanPerformDetailQuery staffName(String staffName){
        setStaffName(staffName);
		return this;
    }

    /**
    * 设置 工作人员名称
    * @param staffNameList
    */
    public WindowWorkmanPerformDetailQuery staffNameList(List<String> staffNameList){
        this.staffNameList = staffNameList;
		return this;
    }

    /**
    * 设置  工作纪律得分
    * @param discipline
    */
    public WindowWorkmanPerformDetailQuery discipline(BigDecimal discipline){
	    setDiscipline(discipline);
		return this;
    }
	
	 /**
    * 设置 开始 工作纪律得分
    * @param disciplineStart
    */
    public WindowWorkmanPerformDetailQuery disciplineStart(BigDecimal disciplineStart){
		this.disciplineStart = disciplineStart;
		return this;
    }

    /**
    * 设置 结束 工作纪律得分
    * @param disciplineEnd
    */
    public WindowWorkmanPerformDetailQuery disciplineEnd(BigDecimal disciplineEnd){
		this.disciplineEnd = disciplineEnd;
		return this;
    }

    /**
    * 设置 增加 工作纪律得分
    * @param disciplineIncrement
    */
    public WindowWorkmanPerformDetailQuery disciplineIncrement(BigDecimal disciplineIncrement){
		this.disciplineIncrement = disciplineIncrement;
		return this;
    }

    /**
    * 设置 工作纪律得分
    * @param disciplineList
    */
    public WindowWorkmanPerformDetailQuery disciplineList(List<BigDecimal> disciplineList){
        this.disciplineList = disciplineList;
		return this;
        }

        /**
        * 设置 工作纪律得分
        * @param disciplineNotList
        */
        public WindowWorkmanPerformDetailQuery disciplineNotList(List<BigDecimal> disciplineNotList){
        this.disciplineNotList = disciplineNotList;
        return this;
        }

    /**
    * 设置  服务规范得分
    * @param specification
    */
    public WindowWorkmanPerformDetailQuery specification(BigDecimal specification){
	    setSpecification(specification);
		return this;
    }
	
	 /**
    * 设置 开始 服务规范得分
    * @param specificationStart
    */
    public WindowWorkmanPerformDetailQuery specificationStart(BigDecimal specificationStart){
		this.specificationStart = specificationStart;
		return this;
    }

    /**
    * 设置 结束 服务规范得分
    * @param specificationEnd
    */
    public WindowWorkmanPerformDetailQuery specificationEnd(BigDecimal specificationEnd){
		this.specificationEnd = specificationEnd;
		return this;
    }

    /**
    * 设置 增加 服务规范得分
    * @param specificationIncrement
    */
    public WindowWorkmanPerformDetailQuery specificationIncrement(BigDecimal specificationIncrement){
		this.specificationIncrement = specificationIncrement;
		return this;
    }

    /**
    * 设置 服务规范得分
    * @param specificationList
    */
    public WindowWorkmanPerformDetailQuery specificationList(List<BigDecimal> specificationList){
        this.specificationList = specificationList;
		return this;
        }

        /**
        * 设置 服务规范得分
        * @param specificationNotList
        */
        public WindowWorkmanPerformDetailQuery specificationNotList(List<BigDecimal> specificationNotList){
        this.specificationNotList = specificationNotList;
        return this;
        }

    /**
    * 设置  综合管理得分
    * @param management
    */
    public WindowWorkmanPerformDetailQuery management(BigDecimal management){
	    setManagement(management);
		return this;
    }
	
	 /**
    * 设置 开始 综合管理得分
    * @param managementStart
    */
    public WindowWorkmanPerformDetailQuery managementStart(BigDecimal managementStart){
		this.managementStart = managementStart;
		return this;
    }

    /**
    * 设置 结束 综合管理得分
    * @param managementEnd
    */
    public WindowWorkmanPerformDetailQuery managementEnd(BigDecimal managementEnd){
		this.managementEnd = managementEnd;
		return this;
    }

    /**
    * 设置 增加 综合管理得分
    * @param managementIncrement
    */
    public WindowWorkmanPerformDetailQuery managementIncrement(BigDecimal managementIncrement){
		this.managementIncrement = managementIncrement;
		return this;
    }

    /**
    * 设置 综合管理得分
    * @param managementList
    */
    public WindowWorkmanPerformDetailQuery managementList(List<BigDecimal> managementList){
        this.managementList = managementList;
		return this;
        }

        /**
        * 设置 综合管理得分
        * @param managementNotList
        */
        public WindowWorkmanPerformDetailQuery managementNotList(List<BigDecimal> managementNotList){
        this.managementNotList = managementNotList;
        return this;
        }

    /**
    * 设置  群众评议得分
    * @param evaluation
    */
    public WindowWorkmanPerformDetailQuery evaluation(BigDecimal evaluation){
	    setEvaluation(evaluation);
		return this;
    }
	
	 /**
    * 设置 开始 群众评议得分
    * @param evaluationStart
    */
    public WindowWorkmanPerformDetailQuery evaluationStart(BigDecimal evaluationStart){
		this.evaluationStart = evaluationStart;
		return this;
    }

    /**
    * 设置 结束 群众评议得分
    * @param evaluationEnd
    */
    public WindowWorkmanPerformDetailQuery evaluationEnd(BigDecimal evaluationEnd){
		this.evaluationEnd = evaluationEnd;
		return this;
    }

    /**
    * 设置 增加 群众评议得分
    * @param evaluationIncrement
    */
    public WindowWorkmanPerformDetailQuery evaluationIncrement(BigDecimal evaluationIncrement){
		this.evaluationIncrement = evaluationIncrement;
		return this;
    }

    /**
    * 设置 群众评议得分
    * @param evaluationList
    */
    public WindowWorkmanPerformDetailQuery evaluationList(List<BigDecimal> evaluationList){
        this.evaluationList = evaluationList;
		return this;
        }

        /**
        * 设置 群众评议得分
        * @param evaluationNotList
        */
        public WindowWorkmanPerformDetailQuery evaluationNotList(List<BigDecimal> evaluationNotList){
        this.evaluationNotList = evaluationNotList;
        return this;
        }

    /**
    * 设置  工作效能得分
    * @param efficiency
    */
    public WindowWorkmanPerformDetailQuery efficiency(BigDecimal efficiency){
	    setEfficiency(efficiency);
		return this;
    }
	
	 /**
    * 设置 开始 工作效能得分
    * @param efficiencyStart
    */
    public WindowWorkmanPerformDetailQuery efficiencyStart(BigDecimal efficiencyStart){
		this.efficiencyStart = efficiencyStart;
		return this;
    }

    /**
    * 设置 结束 工作效能得分
    * @param efficiencyEnd
    */
    public WindowWorkmanPerformDetailQuery efficiencyEnd(BigDecimal efficiencyEnd){
		this.efficiencyEnd = efficiencyEnd;
		return this;
    }

    /**
    * 设置 增加 工作效能得分
    * @param efficiencyIncrement
    */
    public WindowWorkmanPerformDetailQuery efficiencyIncrement(BigDecimal efficiencyIncrement){
		this.efficiencyIncrement = efficiencyIncrement;
		return this;
    }

    /**
    * 设置 工作效能得分
    * @param efficiencyList
    */
    public WindowWorkmanPerformDetailQuery efficiencyList(List<BigDecimal> efficiencyList){
        this.efficiencyList = efficiencyList;
		return this;
        }

        /**
        * 设置 工作效能得分
        * @param efficiencyNotList
        */
        public WindowWorkmanPerformDetailQuery efficiencyNotList(List<BigDecimal> efficiencyNotList){
        this.efficiencyNotList = efficiencyNotList;
        return this;
        }

    /**
    * 设置  加分
    * @param bonusScore
    */
    public WindowWorkmanPerformDetailQuery bonusScore(BigDecimal bonusScore){
	    setBonusScore(bonusScore);
		return this;
    }
	
	 /**
    * 设置 开始 加分
    * @param bonusScoreStart
    */
    public WindowWorkmanPerformDetailQuery bonusScoreStart(BigDecimal bonusScoreStart){
		this.bonusScoreStart = bonusScoreStart;
		return this;
    }

    /**
    * 设置 结束 加分
    * @param bonusScoreEnd
    */
    public WindowWorkmanPerformDetailQuery bonusScoreEnd(BigDecimal bonusScoreEnd){
		this.bonusScoreEnd = bonusScoreEnd;
		return this;
    }

    /**
    * 设置 增加 加分
    * @param bonusScoreIncrement
    */
    public WindowWorkmanPerformDetailQuery bonusScoreIncrement(BigDecimal bonusScoreIncrement){
		this.bonusScoreIncrement = bonusScoreIncrement;
		return this;
    }

    /**
    * 设置 加分
    * @param bonusScoreList
    */
    public WindowWorkmanPerformDetailQuery bonusScoreList(List<BigDecimal> bonusScoreList){
        this.bonusScoreList = bonusScoreList;
		return this;
        }

        /**
        * 设置 加分
        * @param bonusScoreNotList
        */
        public WindowWorkmanPerformDetailQuery bonusScoreNotList(List<BigDecimal> bonusScoreNotList){
        this.bonusScoreNotList = bonusScoreNotList;
        return this;
        }

    /**
    * 设置  合计得分
    * @param sumScore
    */
    public WindowWorkmanPerformDetailQuery sumScore(BigDecimal sumScore){
	    setSumScore(sumScore);
		return this;
    }
	
	 /**
    * 设置 开始 合计得分
    * @param sumScoreStart
    */
    public WindowWorkmanPerformDetailQuery sumScoreStart(BigDecimal sumScoreStart){
		this.sumScoreStart = sumScoreStart;
		return this;
    }

    /**
    * 设置 结束 合计得分
    * @param sumScoreEnd
    */
    public WindowWorkmanPerformDetailQuery sumScoreEnd(BigDecimal sumScoreEnd){
		this.sumScoreEnd = sumScoreEnd;
		return this;
    }

    /**
    * 设置 增加 合计得分
    * @param sumScoreIncrement
    */
    public WindowWorkmanPerformDetailQuery sumScoreIncrement(BigDecimal sumScoreIncrement){
		this.sumScoreIncrement = sumScoreIncrement;
		return this;
    }

    /**
    * 设置 合计得分
    * @param sumScoreList
    */
    public WindowWorkmanPerformDetailQuery sumScoreList(List<BigDecimal> sumScoreList){
        this.sumScoreList = sumScoreList;
		return this;
        }

        /**
        * 设置 合计得分
        * @param sumScoreNotList
        */
        public WindowWorkmanPerformDetailQuery sumScoreNotList(List<BigDecimal> sumScoreNotList){
        this.sumScoreNotList = sumScoreNotList;
        return this;
        }

    /**
    * 设置  考核等级1好2较好3一般4较差
    * @param examineLevel
    */
    public WindowWorkmanPerformDetailQuery examineLevel(Integer examineLevel){
	    setExamineLevel(examineLevel);
		return this;
    }
	
	 /**
    * 设置 开始 考核等级1好2较好3一般4较差
    * @param examineLevelStart
    */
    public WindowWorkmanPerformDetailQuery examineLevelStart(Integer examineLevelStart){
		this.examineLevelStart = examineLevelStart;
		return this;
    }

    /**
    * 设置 结束 考核等级1好2较好3一般4较差
    * @param examineLevelEnd
    */
    public WindowWorkmanPerformDetailQuery examineLevelEnd(Integer examineLevelEnd){
		this.examineLevelEnd = examineLevelEnd;
		return this;
    }

    /**
    * 设置 增加 考核等级1好2较好3一般4较差
    * @param examineLevelIncrement
    */
    public WindowWorkmanPerformDetailQuery examineLevelIncrement(Integer examineLevelIncrement){
		this.examineLevelIncrement = examineLevelIncrement;
		return this;
    }

    /**
    * 设置 考核等级1好2较好3一般4较差
    * @param examineLevelList
    */
    public WindowWorkmanPerformDetailQuery examineLevelList(List<Integer> examineLevelList){
        this.examineLevelList = examineLevelList;
		return this;
        }

        /**
        * 设置 考核等级1好2较好3一般4较差
        * @param examineLevelNotList
        */
        public WindowWorkmanPerformDetailQuery examineLevelNotList(List<Integer> examineLevelNotList){
        this.examineLevelNotList = examineLevelNotList;
        return this;
        }


	/**
    * 设置 备注
    * @param remark
    */
    public WindowWorkmanPerformDetailQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public WindowWorkmanPerformDetailQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public WindowWorkmanPerformDetailQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public WindowWorkmanPerformDetailQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public WindowWorkmanPerformDetailQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public WindowWorkmanPerformDetailQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public WindowWorkmanPerformDetailQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public WindowWorkmanPerformDetailQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public WindowWorkmanPerformDetailQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public WindowWorkmanPerformDetailQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public WindowWorkmanPerformDetailQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public WindowWorkmanPerformDetailQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public WindowWorkmanPerformDetailQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public WindowWorkmanPerformDetailQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<WindowWorkmanPerformDetailQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<WindowWorkmanPerformDetailQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<WindowWorkmanPerformDetailQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<WindowWorkmanPerformDetailQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}